package com.backendsys.mapper.Ai;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import com.backendsys.entity.Ai.AiChatHistoryDTO;

@Mapper
public interface AiChatHistoryMapper {
    List<Map<String, Object>> queryAiChatHistory(AiChatHistoryDTO aiChatHistoryDTO);
    Map<String, Object> queryAiChatHistoryByCode(String history_code);
    long insertAiChatHistory(AiChatHistoryDTO aiChatHistoryDTO);
    long deleteAiChatHistory(AiChatHistoryDTO aiChatHistoryDTO);
    // long updateAiChatHistory(AiChatHistoryDTO aiChatHistoryDTO);
}
